<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f0">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scroll_order_info"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@drawable/shape_dialog_bg"
                android:orientation="vertical"
                android:paddingBottom="@dimen/dp_10">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        style="@style/otherOrder_details_sixteen_text_Style"
                        android:layout_width="@dimen/dp_100"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                        android:background="@color/skeleton_color"
                        android:textSize="@dimen/dp_16"
                        android:textStyle="normal" />

                    <TextView
                        android:id="@+id/tv_order_state"
                        android:layout_width="@dimen/dp_100"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_margin="@dimen/other_order_info_dialog_content_marginRight"
                        android:background="@color/skeleton_color"
                        android:textColor="#009788"
                        android:textSize="@dimen/dp_15"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />
                </RelativeLayout>

                <include layout="@layout/include_horizontal_color_eee_dividing_line" />

                <!-- 訂單編號-->
                <TextView
                    android:id="@+id/tv_order_no"
                    style="@style/otherOrder_details_twelve_text_Style"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                    android:background="@color/skeleton_color"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_order_num" />

                <TextView
                    android:id="@+id/tv_create_time"
                    style="@style/otherOrder_details_twelve_text_Style"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/other_order_info_dialog_content_marginLeft"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@color/skeleton_color"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_order_no" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@drawable/shape_dialog_bg"
                android:orientation="vertical"
                android:paddingBottom="@dimen/dp_10">

                <TextView
                    style="@style/otherOrder_details_sixteen_text_Style"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                    android:text="訂單詳情" />

                <include layout="@layout/include_horizontal_color_eee_dividing_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_14"
                    android:paddingLeft="@dimen/dp_7"
                    android:paddingRight="@dimen/dp_14">

                    <TextView
                        android:id="@+id/tv_receiver_text"
                        style="@style/otherOrderReceiving_title_textStyle"
                        android:layout_width="@dimen/dp_40"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_receiver"
                        style="@style/otherOrderReceiving_information_textStyle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_receiver_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_14"
                    android:paddingLeft="@dimen/dp_7"
                    android:paddingRight="@dimen/dp_14">

                    <TextView
                        android:id="@+id/tv_delivery_man_name_text"
                        style="@style/otherOrderReceiving_title_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_delivery_man_name"
                        style="@style/otherOrderReceiving_information_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_delivery_man_name_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_14"
                    android:paddingLeft="@dimen/dp_7"
                    android:paddingRight="@dimen/dp_14">

                    <TextView
                        android:id="@+id/tv_delivery_man_phone_text"
                        style="@style/otherOrderReceiving_title_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_delivery_man_phone"
                        style="@style/otherOrderReceiving_information_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_delivery_man_phone_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_14"
                    android:paddingLeft="@dimen/dp_7"
                    android:paddingRight="@dimen/dp_14">

                    <TextView
                        android:id="@+id/tv_delivery_num_text"
                        style="@style/otherOrderReceiving_title_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_delivery_num"
                        style="@style/otherOrderReceiving_information_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_delivery_num_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:background="@drawable/shape_dialog_bg"
                android:orientation="vertical"
                android:paddingBottom="@dimen/dp_10">

                <TextView
                    android:id="@+id/tv_food_details_text"
                    style="@style/otherOrder_details_sixteen_text_Style"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/dp_10"
                    android:text="商品詳情" />

                <include layout="@layout/include_horizontal_color_eee_dividing_line" />


                <LinearLayout
                    android:id="@+id/layout_food_one"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toBottomOf="@id/line_food_top">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:background="@color/skeleton_color"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_weight="0.2"
                        android:background="@color/skeleton_color"
                        android:gravity="right"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_weight="0.3"
                        android:background="@color/skeleton_color"
                        android:gravity="right"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_15" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/rv_food"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toBottomOf="@id/layout_food_one">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:background="@color/skeleton_color"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_weight="0.2"
                        android:background="@color/skeleton_color"
                        android:gravity="right"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_weight="0.3"
                        android:background="@color/skeleton_color"
                        android:gravity="right"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_15" />
                </LinearLayout>

                <include layout="@layout/include_horizontal_color_eee_dividing_line" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                    android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                    <TextView
                        android:id="@+id/tv_total_text"
                        style="@style/otherOrder_bill_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />

                    <TextView
                        android:id="@+id/tv_total"
                        style="@style/otherOrder_bill_info_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_total_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                    android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                    <TextView
                        android:id="@+id/tv_lunchbox_cost_text"
                        style="@style/otherOrder_bill_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_lunchbox_cost"
                        style="@style/otherOrder_bill_info_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_lunchbox_cost_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                    android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                    <TextView
                        android:id="@+id/tv_delivery_fee_text"
                        style="@style/otherOrder_bill_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_delivery_fee"
                        style="@style/otherOrder_bill_info_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_delivery_fee_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />
                </RelativeLayout>


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                    android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                    <TextView
                        android:id="@+id/tv_pay_method_text"
                        style="@style/otherOrder_bill_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/skeleton_color" />

                    <TextView
                        android:id="@+id/tv_pay_method"
                        style="@style/otherOrder_bill_info_textStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_toRightOf="@id/tv_pay_method_text"
                        android:background="@color/skeleton_color"
                        android:gravity="right" />
                </RelativeLayout>
            </LinearLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
